﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image bg rainstreet = "street_rain.jpg"
image bg rainstreet2 = "street_rain_post_processed.jpg"
image bg daystreet  = "street_day.jpg"
image bg cafe = "130machi_800600.jpg"
image bg blur = "bg_hospital_room-blur.png"
image bg hmem = "bg_hospital_room-mem.png"
image bg hospital = "bg_hospital_room.png"
image cg1 = "CG 1.png"
image cg1-1 = "CG 1-1.png"
image cg2 = "CG 2.png"
image cg3 = "CG 3.png"
image natasha = "Natasha.png"
image nalaugh = "na_laugh.png"
image nasad = "Na_sad.png"
image naconcern = "na_concern.png"
image nawhat = "na_what.png"
image nacry = "na_cry.png"
image nablank = "na_blank.png"
image nablush = "na_blush.png"
image naglare = "na_glare.png"
image logo = "An Encounter 1 logo.png"

# Declare characters used by this game.
define e = Character('Eileen', color="#c8ffc8")
define na = Character('Natty', color="#ffffff")
define girl = Character('girl', color="#ffffff")

    # Hold at black for a bit.
define fadehold = Fade(0.5, 1.5, 0.5)


init:
    
        
    # Image on the side.
    $ Van = Character('Van',
                        color="#ffffff",
                        window_left_padding=165,
                        show_side_image=Image("vanessa.png", xalign=0.0, yalign=1.0))
    $ Vsad = Character('Van',
                        color="#ffffff",
                        window_left_padding=165,
                        show_side_image=Image("van_sad.png", xalign=0.0, yalign=1.0))
    $ Vcry = Character('Van',
                        color="#ffffff",
                        window_left_padding=165,
                        show_side_image=Image("van_cry.png", xalign=0.0, yalign=1.0))
    $ Vunhap = Character('Van',
                        color="#ffffff",
                        window_left_padding=165,
                        show_side_image=Image("van_unhappy.png", xalign=0.0, yalign=1.0))
    $ Vaway = Character('Van',
                        color="#ffffff",
                        window_left_padding=165,
                        show_side_image=Image("van_look away.png", xalign=0.0, yalign=1.0))
    $ Vshock = Character('Van',
                        color="#ffffff",
                        window_left_padding=165,
                        show_side_image=Image("van is shocked.png", xalign=0.0, yalign=1.0))
    $ Vsmile = Character('Van',
                        color="#ffffff",
                        window_left_padding=165,
                        show_side_image=Image("Van happy.png", xalign=0.0, yalign=1.0))
    
##new sound channels.
    
    $ renpy.music.register_channel("ambient", "sfx",True,tight=True) #use it for the rain sound
    
    ## flags
    $ umb = False
    
    ## NVL mode
    
    $ doc = Character('Doctor', kind=nvl, color="#ffffff")
    $ narr = Character(None, kind=nvl)


# The game starts here.
label start:
    
    stop music fadeout 1.5
    
    scene black
    with fade
    play music "heart monitor.WAV"
    narr "I felt dizzy..."
    narr "My head was throbbing after all those procedures."
    narr "I could hear mumbling of some sort. I couldn't quite make out what was being said."
    narr "My eyes remained shut. Everything was dark. All I could hear were drowned out voices I could hardly decipher into words."
    play sound "wheels.MP3"
    narr "I could hear the faint sound of wheels rolling, then coming to a halt."
    narr "Still, an obnoxious beeping sound kept piercing through the barrier that muted voices, sharply pounding my eardrums."
    nvl clear
    scene bg blur
    with fade
    $ renpy.pause(1.0)
    narr "My eyes opened, stung by the dull flourescent lighting."
    narr "Everything was a blur for a moment. I wasn't sure where I was for a second."
    scene bg hospital
    with dissolve
    $ renpy.pause(1.0)
    narr "Then my vision cleared up and I began to remember."
    narr "Oh, "
    extend "that's right. "
    extend "{i}I'm here.{/i}"
    narr "A man in a white lab coat stood there in front of my parents, holding a clipboard."
    narr "I felt so tired, I wasn't able to read anyone's expressions."
    narr "However, I did hear the doctor's voice, understanding fully the weight of his words."
    voice "doc1.MP3"
    doc "According to her test results, this is your daughter's {i}final{/i} diagnosis."
    scene black
    with dissolve
    voice "doc2.MP3"
    centered "''I'm very sorry.''"
    stop music fadeout 1.5
    
    show logo
    with fade
    $ renpy.pause(3.0)
    hide logo
    with fade

    scene bg rainstreet
    with fade
    
    play music "05 - Frozen Silence - Decision.mp3"
    $ renpy.music.set_volume(0.5, .5, channel="ambient")
    play ambient "Rain.WAV"
    
    "It's cold...."
    extend "...and wet...."
    "The rain was falling heavily from the sky."
    "Even so, I continued to stand outside without an umbrella, letting the sky's cold shower soak me to the bone."
    
    Vsad "......"
    
    "It's not like anyone really cares."
    "People pass by me and don't even take notice."
    "No notice of the girl without an umbrella."
    
    Vsad "......."
    
    play sound "car drive by.wav"
    "Cars pass by and splash me."
    "I can't really blame them. They have places to go, after all."
    "Today's a school day, but that doesn't really apply to me."
    "I'm sick anyway. "
    extend "Eventually, the day I no longer show up would arrive."
    "I was pratically a ghost already. I exist, but I'm not seen."
    
    Vsad "........"
    
    "I have nothing to say."
    extend " No words will come out of my mouth."
    "Even when I open up, my lips seal once again."
    "Still, with a bit of a struggle, I command my vocal chords to release a lament."
    
    Vcry "It's....not fair...."
    
    "I can feel warmth stream down my cheeks, instantly cooled by the freezing raindrops."
    "At least in the rain nobody will know I'm crying."
    "At least in the rain, "
    extend "I'm OK not to be noticed by anyone."
    "It seems kinda fitting to be alone in this atmosphere."
    "All of the sad backdrops of fiction or even reality seem to happen during the rain."
    "Rain...."
    extend "is just like tears....."
    "Rain "
    extend "is sadness, "
    extend "emptiness, "
    extend "loneliness.... "
    "That is what rain is."
    "And now I'm allowing it to wrap around me, drenching me in its cold embrace."
    "That way, when the numbness kicks in....rain can finally be..."
    extend "my final comfort."
    voice "na1.MP3"
    "girl's voice" "Excuse me!"
    
    Van "Huh?"
    
    show naconcern
    with dissolve
    voice "na2.MP3"
    girl "Shouldn't you be... taking shelter under something?"
    Van "......."
    voice "na3.MP3"
    girl "What's wrong? Did you lose your umbrella?"
    Vaway "N-No...."
    
    hide naconcern
    show nasad
    with dissolve
    voice "na4.MP3"
    girl "Hey, are you OK? You don't look so good."
    Vaway "........"
    voice "na5.MP3"
    girl "Would you.... "
    voice "na6.MP3"
    extend "like to come under my umbrella?"
    Van "......."
    voice "na7.MP3"
    girl "Here."
    Van "Huh?"
    "The girl outstretches her hand with the umbrella, offering it to me."
    
    hide nasad
    show nalaugh
    with dissolve
    voice "na8.MP3"
    girl "Take it. You can keep it if you want!"
    
    menu:
        
        "Accept it":
            
            jump acc
            
        "Decline it":
            
            jump dec
            
label acc:
    
    $ umb = True
    
    Vaway "Th-Thank you...."
    play sound "car drive by.wav"
    "I slowly take the umbrella from her hand and put it over myself."
    voice "na9.MP3"
    girl "Ahahahaha! Now I'm getting wet!"
    Vaway "Then why'd you give your umbrella to me?"
    
    hide nalaugh
    show natasha
    with dissolve
    voice "na10.MP3"
    girl "Because... ."
    voice "na11.MP3"
    extend  "you don't have one."
    Van "........"
    Vaway "Well, now {i}you{/i} don't have one, so that was kinda stupid on your part."
    
    hide natasha
    show nalaugh
    voice "na12.MP3"
    girl "You think so?"
    voice "na13.MP3"
    girl "It's all fine by me. Getting a little wet won't kill me."
    Vaway "Maybe it won't kill you, but I'm surprised I'M not dead yet."
    
    hide nalaugh
    show naconcern
    voice "na14.MP3"
    "girl" "Huh?"
    Vunhap "Nevermind."
    
    hide naconcern
    show nasad
    with dissolve
    voice "na15.MP3"
    "girl" "Why were you out here in the rain without an umbrella? Was it on purpose?"
    "She sure catches on quickly."
    Vsad "You could say that...."
    voice "na16.MP3"
    "girl" "But why? You could get sick!"
    Vunhap "Ha...ha ha....good one!"
    voice "na17.MP3"
    "girl" "There's no need to get sarcastic."
    voice "na18.MP3"
    "girl" "But seriously, you could get very sick! And that wouldn't be fun, now would it?"
    Vunhap "I'm already sick, so it doesn't matter anyway."
    
    hide nasad
    show nawhat
    with dissolve
    voice "na19.MP3"
    "girl" "What?"
    Vaway "N-Nevermind...."
    
    hide nawhat
    show naconcern
    with dissolve
    play sound "car drive by.wav"
    voice "na20.MP3"
    "girl" "Well, whatever's wrong....I hope it goes away."
    voice "na21.MP3"
    "girl" "That way, you could smile instead."
    Van "!!!"
    
    hide naconcern
    with dissolve
    
    "She then waved at me and turned around, walking the other direction."
    "Without her umbrella, it didn't take long for her to get soaked."
    
    stop music fadeout 1.5
    
    "So why did she give this to me?"
    
    jump begin
    

            
label dec:
    
    Vaway "Uhn, sorry.....thanks, but no thanks."
    
    hide nalaugh
    show nasad
    with dissolve
    voice "na22.MP3"
    "girl" "I see...."
    play sound "car drive by.wav"
    "The girl pulls back her hand, shielding herself once again from the rain with her colorful, smiley faced umbrella."
    Vaway "You can go away now...."
    Vaway "I'm not very important, you know...."
    
    hide nasad
    show naconcern
    with dissolve
    voice "na23.MP3"
    "girl" "What makes you say that?"
    Vsad "Because..."
    extend "I'm worthless...."
    voice "na24.MP3"
    "girl" "Worthless?"
    "She looks at me skeptically."
    voice "na25.MP3"
    "girl" "Are you... {i}sure{/i} you don't want to take this umbrella?"
    Vsad "Yeah, it's fine."
    Vaway "I...sorta want to let the rain take me...."
    
    hide naconcern
    show nawhat
    voice "na26.MP3"
    "girl" "What?"
    Vunhap "You heard me. I want the rain to take me!"
    voice "na27.MP3"
    "girl" "Take you where?"
    "I don't know if she's just dense or being figuretive."
    Vunhap "None of your business."
    
    hide nawhat
    show nasad
    with dissolve
    voice "na28.MP3"
    girl "Don't give up, okay?"
    voice "na29.MP3"
    extend " Sadness isn't eternal."
    
    hide nasad
    with dissolve
    play sound "car drive by.wav"
    "After she said that, she turned around and started walking away."
    Van "......"
    "I just stood there, staring at her back as she walked away."
    "Her words struck me for some reason."
    
    stop music fadeout 1.5
    
    "We don't even know each other, but how come she was so worried about me?"
    
    
label begin:
    
    stop ambient fadeout 1
    scene black
    with fade
    
    play music "04 - Frozen Silence - Forgotten.mp3"
    
    "For a long time, I've felt invisible."
    "Even when it came to teachers....it was like I never existed."
    
    scene cg1
    with dissolve
    
    "I could be standing right behind someone and they'd never take a second glance."
    "I'd be surrounded by peers, and it was as if they could walk right through me."
    "If they bumped into me, they'd keep going like nothing even happened. They didn't even bother to get mad or yell at me."
    
    scene cg1-1
    with dissolve

    "This must be how ghosts feel."
    "I'm still alive and already I'm a ghost."
    "At this rate, I'll take their form."
    "I might as well be just that. "
    extend "A ghost."
    "Because it hurts to be alive and yet it's as if you don't exist."
    "No one even cares enough to wish you didn't exist."
    "How can one's existence be so ignored?"
    "Am I so worthless I'm not even worth the time to even be disliked?"
    
    scene black
    show naconcern
    with fade
    
    if umb:
        
        "girl" "Well, whatever is wrong....I hope it goes away."
        "girl" "That way, you can smile instead!"
        
    else:
        
        girl "Don't give up, okay? "
        extend "Sadness isn't eternal."
     
    hide naconcern
    with dissolve
    "I couldn't comprehend what had happened that moment."
    "The initial shock of real human contact. "
    extend "A person I don't even know, expressing concern as if I were her best friend."
    "It was all too much. I didn't understand it."
    "I'm a person who is sick. I'm a person who no one cares to notice."
    "...I am someone who's time is about to run out."
    "And yet...."
    
    show nalaugh
    with dissolve
    
    "....there's a light."
    
    hide nalaugh
    with dissolve
    
    "But I don't think I'll get to see that light again."
    
    stop music fadeout 1
    
    scene bg rainstreet2
    with fade
    
    play ambient "Rain.WAV"
    
    "One month to the day, and it's raining again."
    
    if umb:
        
        "I grip tightly to the umbrella that strange girl gave me, but I don't care to open it up. I don't care to shield myself from the rain."
        "girl's voice" "My, my! Why aren't you using your umbrella?"
        Van "Eh?"
        
        play music "that beacon of hope.mp3"
        
        show nalaugh
        with dissolve
        
        "I was shocked. When I turned around, it was her!"
        "She stood there, holding a plain, black umbrella. It wasn't bright and happy like the one she gave me."
        
        hide nalaugh
        show natasha
        with dissolve
        
        "girl" "Why don't you use the umbrella I gave you?"
        Vaway "N-No, it's fine...."
        
        hide natasha
        show nawhat
        
        "girl" "Oh?"
        Vsad "It's fine. I want to get wet."
        "girl" "But it's cold! You could get really sick!"
        Vunhap "Who cares?! I'm pretty much there already...."
        
        hide nawhat
        show naconcern
        with dissolve
        
        "girl" "What?"
        Van "....."
        Vaway "I said too much...."
        "girl" "Is there something wrong?"
        Vunhap "That's none of your concern."
        "girl" "Please at least use the umbrella. I'd hate it if you got a cold, or even worse, flu!"
        "girl" "Here."
        
        hide naconcern
        with dissolve
        
        "She walks over to me and opens the umbrella for me, handing it back."
        
        show naconcern
        with dissolve
        
        "girl" "I have no idea why you want to get soaked in the rain so bad..."
        Vsad "....."
        Vaway "It's...my release...."
        
        hide naconcern
        show nawhat
        
        "girl" "Huh?"
        Vaway "I wish for the rain....to take me...."
        "girl" "Ah! You shouldn't say things like that!"
        Vunhap "And why shouldn't I?"
        
        
        
        
    else:
        
        "Once again, I find myself getting soaked. There's not a dry spot left on my clothes."
        "I even start sneezing."
        "girl's voice" "Oh my! You'll get sick, getting soaked like that!"
        Van "???"
        
        show naconcern
        with dissolve
        play music "that beacon of hope.mp3"
        
        "I was shocked. When I turned around, it was her."
        "She looked at me with those same eyes of concern."
        Vsad "....."
        
        hide naconcern
        show nasad
        with dissolve
        
        "girl" "H-Hey...."
        "girl" "Haven't we met before?"
        
        Van "!!!"
        "She remembers our meeting?"
        Vaway "Umm, yeah, sort of...."
        
        "girl" "You're out in the rain again! Are you still waiting for it to 'take you away'?"
        Vaway "You could say that....."
        
        hide nasad
        show naconcern
        with dissolve
        
        "girl" "But why?"
        Vunhap "Because I'm worthless, dang it!"
        "girl" "Why would you say something like that?"
        Vunhap "Because I am!"
        
    Vunhap "I should've become a ghost a long time ago, because that's pretty much what I am right now!"
    Vunhap "People pass by me like I don't even exist...."
    play sound "car drive by.wav"
    Vunhap "Nobody cares about me. I'm not even hated by anyone!"
    Vcry "I'm not..."
    extend "I'm not anything to {i}anyone!{/i}"
    
    hide naconcern
    hide nawhat
    show nasad
    with dissolve
    
    "girl" "You're something to me...."
    Van "Huh?"
    "girl" "I might not know you at all, but I'd like to...."
    
    hide nasad
    show nalaugh
    
    "girl" "Wouldn't that be just awesome?"
    play sound "car drive by.wav"
    Van "......."
    Vaway "I don't know...."
    
    hide nalaugh
    show natasha
    with dissolve
    
    "girl" "Tell me, what is rain to you?"
    Van "Eh?"
    Vaway "Well, rain is...."
    "I shift my eyes to the ground."
    Vsad "Rain is...."
    extend "cold....."
    extend "but "
    extend "it's also...."
    extend "a release..."
    Vsad "I want it to be...."
    extend "my final comfort...."
    Vaway "But that doesn't change the fact that...."
    extend "rain will always be...."
    extend "cold."
    "girl" "Really? So rain is cold?"
    "Why isn't she frowning? Instead she looks....."
    Van "......."
    Van "...pretty much."
    "girl" "And in that context, you are referring to how rain is everything connected to coldness."
    Van "????"
    "girl" "Rain is sad, rain is lonely, when it's warm...it smells funny..."
    Van "Huh?"
    
    hide natasha
    show nalaugh
    
    "girl" "It's true, though! Haven't you ever been poured down upon humid rain? It's quite nasty."
    
    hide nalaugh
    show natasha
    
    "girl" "But that's not my point."
    Van "Then what is your point exactly?"
    "girl" "You say rain is cold, but let me tell you what I say rain is."
    play sound "car drive by.wav"
    
    hide natasha
    with dissolve
    
    "Suddenly, she closes her umbrella, allowing the rain to fall on her .I'm a bit taken aback by the sight. "
    extend "That was...."
    extend "random...."
    "She began spinning around, giggling like a happy child does when they're allowed to play out in the rain."
    scene cg2
    with dissolve
    "She stares up into the cloudy sky, and says--"
    "girl" "Rain is cold, but you know what else rain can be?"
    girl "Rain...."
    extend "is cleansing."
    "girl" "It washes away dirt and grime, freshens the air..."
    "girl" "Rain is healing...."
    "girl" "It brings joys if you look for it..."
    "girl" "{i}That's{/i} what rain is!"
    scene cg3
    with dissolve
    "She quickly twirls back around, facing me as she grips both my hands."
    "girl" "So you see? Rain isn't all about despair...."
    "girl" "What are raindrops?"
    Van "Umm...water?"
    "girl" "Exactly! And what is water?"
    Vunhap "A liquid...."
    "girl" "It's life."
    Van "....."
    
    if umb:
        play sound "car drive by.wav"
        "She squeezed both of my hands and gave me the warmest smile."
        "girl" "Cherish it."
        Van "Cherish?"
        "Like there's anything to cherish about it...."
        "girl" "Please, keep using the umbrella. It's a precious thing."
        Van "Precious? How?"
        
        scene bg rainstreet2
        show nalaugh
        with dissolve
        
        "girl" "Well, look! It's covered in smiley faces! It always brightens my mood!"
        
        hide nalaugh
        show natasha
        
        "girl" "Well, that's only partly the reason."
        Van "Then what's the real reason?"
        
        hide natasha
        show nasad
        with dissolve
        
        "girl" "Nnnn...."
        
        hide nasad
        show nalaugh
        
        "girl" "Aheheh, 'tis a secret~"
        
        hide nalaugh
        show natasha
        
        "girl" "Anyway, I have to be on my way. My place is just around the corner. See ya~!"
        
        hide natasha
        with moveoutleft
        play sound "car drive by.wav"
        stop music fadeout 1.5
        "She quickly runs passed me, but halts a moment and waves to me another goodbye."
        
        stop music fadeout 1.5
        
        Van "......"
        Vaway "Nnnn....."
        
        "I wonder..."
        "Why does she care so much? We don't even know each other!"
        
    else:
        scene bg rainstreet2
        show natasha
        with dissolve
        play sound "car drive by.wav"
        "She then holds out her umbrella to me."
        "girl" "Here. I know you didn't want it before, but you need it."
        
        hide natasha
        show nalaugh
        with dissolve
        
        "girl" "Water may be life, but rain can still get you sick!"
        
        hide nalaugh
        show natasha
        
        "girl" "Though it's not really the rain's fault. More or less, the cold lowering your immune system."
        "Heh, like my immune system was that great to begin with..."
        Vsad "Thanks...."
        "I say this without even looking at her, pulling the umbrella from her hands."
        Vaway "You know, now you're the one who's going to be wet."
        "girl" "It's fine by me. You need it more."
        "girl" "Besides, my home is just around the corner. See ya!"
        
        hide natasha
        with moveoutleft
        play sound "car drive by.wav"
        stop music fadeout 1.5
        "She quickly runs passed me, then halts just for a moment."
        "She waves and wishes me 'goodbye' before taking off again."
        
        stop music fadeout 1.5
        
        Van "Nnn...."
        Vaway "Hmmmm...."
        
        "I open up the umbrella, decorated with smiley faces, and continue my route home..."
        
label con:
    
    scene bg daystreet
    with fadehold
    
    stop ambient fadeout 1
    play music "calming atmosphere.mp3"
    
    "The next day arrives, and I decided to go out around the afternoon."
    "Ah, the air is rather fresh today. I guess rain is...."
    extend "cleansing..."
    "It's funny; I never thought of it that way before, but in a sense rain isn't actually..."
    extend "sad..."
    "At least it doesn't have to be."
    "But still, it will take me a little while before I'm completely convinced."
    "girl's voice" "Hey! It's you again, isn't it?"
    
    show nalaugh
    with dissolve
    
    "girl" "Remember me?"
    Van "How can I forget....?"
    
    hide nalaugh
    show natasha
    
    "girl" "I just got off from school. What about you?"
    Vaway "I...don't go to school..."
    
    hide natasha
    show nawhat
    with dissolve
    
    "girl" "Oh? How come?"
    Vaway "Just...reasons...."
    
    hide nawhat
    show nasad
    with dissolve
    
    "girl" "I see...."
    "Thankfully, she decides not to press the issue and quickly says something else."
    
    hide nasad
    show nalaugh
    with dissolve
    
    "girl" "Hey! If you're not doing anything, would you like to hang out with me?"
    Van "Hang out with you?"
    "girl" "Yeah! It'll be fun!"
    
    hide nalaugh
    show natasha
    
    "girl" "Oh! How silly of me. We haven't been properly introduced, now have we?"
    "Natasha" "My name is Natasha. What's your name?"
    Vaway "I'm...."
    extend "Vanessa, "
    extend "but I'd prefer if you just called me Van."
    "Natasha" "Van, huh? That sound's cool!"
    
    hide natasha
    show nalaugh
    with dissolve
    
    na "In that case, you have my permission to call me Natty~"
    Van "Natty?"
    na "Uh-huh. That's my nickname~"
    na "Anyway, it is a pleasure to meet you, Van. Let's be friends from now on, 'kay?"
    "I doubt making friends is this easy...."
    "It shouldn't be this easy...."
    "Why is she so nice?"
    Van "Umm...thanks....I guess?"
    
    hide nalaugh
    show natasha
    with dissolve
    
    na "Yay! Now then, where to hang out....?"
    na "Aha! I know JUST the place! You'll have a lot of fun, I'm sure of it!"
    
    play sound "running.mp3"
    
    "Natty takes my hand and we run down the street, probably looking like morons."
    
    scene bg cafe
    with fade
    play sound "car drive by.wav"
    
    Van "Where are you taking me?"
    
    show nalaugh
    with dissolve
    
    na "Right here!"
    
    hide nalaugh
    show natasha
    
    na "Are you hungry? I could buy us a little something to eat."
    na "Then we talk~"
    Vaway "Talk?"
    
    hide natasha
    show nalaugh
    with dissolve
    
    na "Yeah!"
    
    hide nalaugh
    with dissolve
    
    na "I know just the thing for you to try!"
    Vaway "Great..."
    "I didn't even agree to this."
    play sound "shop-bell.WAV"
    "Natty runs off into the little café while I take a seat at one of the empty tables outside."
    play sound "car drive by.wav"
    "I sigh, sitting quietly as my ears process the ambient noise of cars and passerbys."
    "Feeling as if I was about to drift off to sleep, I'm suddenly awoken by--"
    play sound "shop-bell.WAV"
    na "I'm back!"
    "Natty slides into the seat across from me, setting down a paper bag with her purchases."
    na "I'm sure you'll love these!"
    play sound "paper bag.mp3"
    "She sticks her hands into the bag, grabbing various items and dividing them amongst me and her."
    
    show nalaugh
    with dissolve
    
    na "Go ahead, try one!"
    Van "...."
    
    hide nalaugh
    with dissolve
    
    "I look down at the napkin laced goods that contained some sort of sticky rice treat and a couple of cream filled doughnuts."
    
    show natasha
    with dissolve
    
    na "Mmm... aren't they good?"
    Vaway "Uh... sure."
    
    hide natasha
    with dissolve
    
    "I didn't even take a bite yet."
    "I first begin with the sticky rice one that was lightly powdered. "
    extend "It's very familiar and chewy."
    Vshock "Mochi!"
    
    show nalaugh
    with dissolve
    
    na "So you are familiar with it!"
    Vaway "..."
    extend "yeah."
    
    hide nalaugh
    show naconcern
    with dissolve
    
    na "Something wrong, Van?"
    Vaway "I'm just..."
    extend "not used to human contact."
    
    hide naconcern
    show nawhat
    with dissolve
    play sound "car drive by.wav"
    
    na "Huh?"
    
    hide nawhat
    show natasha
    
    na "Well then, we'll just have to fix that!"
    
    hide natasha
    with dissolve
    
    "She continues eating her treats happily upon this declaration."
    "I don't know what to think anymore."
    
    scene bg daystreet
    show natasha
    with fadehold
    stop music fadeout 1.5
    play ambient "walking.WAV"
    
    "Our day had come to an end and the two of us walked back where she found me."
    
    hide natasha
    show nalaugh
    
    "She chattered on happily and I just listened as we walked along hand in hand."
    "Finally, we had reached our destination."
    
    hide nalaugh
    show natasha
    stop ambient
    
    na "Well, I guess we part for now."
    Vaway "Y-Yeah..."
    
    hide natasha
    show nalaugh
    
    na "Did you have fun?"
    Vshock "...."
    extend "I..."
    nvl clear
    
    narr "I hesitated for a moment. "
    extend "Fun? "
    extend "What is that?"
    narr "I feel as though I had almost forgotten what that meant."
    
    scene bg hmem
    with dissolve
    
    narr "Ever since the doctor had given me my diagnosis, I gave up."
    narr "I had no friends. "
    extend "Nobody cared I existed. "
    extend "And suddenly, I was nothing but a ghost."
    narr "My own parents seemed to keep their distance from me."
    
    nvl clear
    
    narr "But then..."
    
    nvl clear
    
    scene bg daystreet
    show natasha
    with dissolve
    play music "Stefano_mocini_-_the_end_of_the_summer.mp3"
    "...I was seen for the first time."
    Van "You know what...?"
    Vsmile "Yeah. I did."
    Vsmile "Thank you, Natty. For being my friend."
    
    hide natasha
    show nawhat
    with dissolve
    
    na "...!!"
    
    hide nawhat
    show nalaugh
    
    na "Of course!"
    na "Let's meet up again next time, 'kay?"
    Vsmile "You bet!"
    
    hide nalaugh
    show natasha
    with dissolve
    
    "She leans toward my ear and whispers."
    na "I know what it's like to feel invisible."
    Vshock "...!!"
    
    hide natasha
    show nalaugh
    
    na "See you later, Van~"
    
    hide nalaugh
    with moveoutleft
    
    Vshock "Wait!!"
    "I reach out my hand, but she was already gone."
    "I stood there, dumbfounded."
    "...understand?"
    extend " You, of all people?"
    "I find that hard to believe, Natty. You're such a kind-hearted soul. You must have TONS of friends!"
    "And yet you chose me. "
    extend "You chose to reach out your hand and lift me out of this darkness, this {i}despair{/i} that's been haunting me."
    "I've been walking alone with an unlit candle and you shared some of your light to set it aflame."
    "Now..."
    
    scene black
    centered "I'm willing to fight again."
    
    ## the end -- credits to follow

    
    return
